Update Alert Rule
Update Alert Rule. This POST operation is exposed from the activity router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.
Update Alert Rule. This POST operation is exposed from the activity router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.
Signed-in EnderDash browser session cookie.
In: cookie
Request Body
application/json
Serialized tRPC procedure input for this mutation. Responses use the standard tRPC HTTP result envelope.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://app.enderdash.com/api/trpc/activity.updateAlertRule" \ -H "Content-Type: application/json" \ -d '{ "organizationId": "string", "name": "string", "destinationIds": [ "string" ], "ruleId": "string" }'{ "result": { "data": { "id": "string", "organizationId": "string", "name": "string", "enabled": true, "serverId": "string", "kinds": [ "string" ], "severities": [ "string" ], "destinationIds": [ "string" ], "quietHoursStart": "string", "quietHoursEnd": "string", "quietHoursTimezone": "string", "createdByMemberId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } }}{ "error": { "message": "string", "code": -32001, "data": { "code": "UNAUTHORIZED", "httpStatus": 0, "path": "string", "stack": "string" } }}Update Alert Destination POST
Update Alert Destination. This POST operation is exposed from the activity router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.
Create Organization Logo Upload Url POST
Create Organization Logo Upload Url. This POST operation is exposed from the auth router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.